Skip to content

Query Transaction Status

The Query Transaction Status allows you to check the current status of a previously initiated transaction. This ensures that your system can confirm whether a payment was successful, pending, or failed.

This endpoint is useful for reconciling transactions, handling delayed payment responses, and providing real-time updates to customers.

URL: {BaseURL}/transactionstatus

Field NameStructure/KeyTypeDescription
Merchant IDmerchant_idstringThis is the unique identifier assigned to a merchant, used to associate transactions and requests with the correct merchant account.
Merchant Transaction IDmerchant_transaction_idstringThis is the unique identifier of the transaction you want to query

php
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => '{{BaseURL}}/transactionstatus',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>'{
    "merchant_id": "Your Merchant ID",
    "merchant_transaction_id": "Merchant Transaction ID"
}',
  CURLOPT_HTTPHEADER => array(
    'X-Requested-With: XMLHttpRequest',
    'Content-Type: application/json',
    'Authorization: Bearer YOUR_SECRET_KEY'
  ),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;
js
var request = require('request');
var options = {
  'method': 'POST',
  'url': '{{BaseURL}}/transactionstatus',
  'headers': {
    'X-Requested-With': 'XMLHttpRequest',
    'Content-Type': 'application/json',
    'Authorization': 'Bearer YOUR_SECRET_KEY'
  },
  body: JSON.stringify({
    "merchant_id": "Your Merchant ID",
    "merchant_transaction_id": "Merchant Transaction ID"
  })
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
bash
curl --location '{{BaseURL}}/transactionstatus' \
--header 'X-Requested-With: XMLHttpRequest' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_KEY' \
--data '{
    "merchant_id": "Your Merchant ID",
    "merchant_transaction_id": "Merchant Transaction ID"
}'
Response